$(function ($) {
    editar = function (item) {
        $("#PerfisCadastrados").hide();
        $("#EditarPerfil").show();
        var Perfil = $("#Perfil" + ($(item).closest('tr').attr('id'))).val();
        var ID = $("#ID_Perfil" + ($(item).closest('tr').attr('id'))).val();
        $("#DescConfPerfil").val(Perfil);
        $("#IdentificadorPerfil").val(ID);
        var URL = 'Funcoes.php?Function=51&Perfil='
                + Perfil;
        $.get(URL, function (resposta) {
            var Resp = JSON.parse(resposta);
            if (Resp.JSON != "OK") {
                $("#descError").html("<b>" + Resp.JSON + "</b>");
                $("#Erro").show();
            } else {
                var Dados = JSON.parse(Resp.DADOS);
                TMP = Dados;
                if (Dados.length > 0) {
                    $("#Table_Ini").hide();
                    for (var i = 0; i < Dados.length; i++) {
                        $("#PerfilPermissao tbody").append(
                                "<tr id='00" + Dados[i].ID_Permissao + "' class='gradeU'>" +
                                "    <td style='text-align: center;font-size: 0.9em;'> " + Dados[i].ID_Perfil + " </td>" +
                                "    <td style='text-align: center;font-size: 0.9em;'> " + Dados[i].ID_Permissao + " </td>" +
                                "    <td style='text-align: center; font-size: 0.9em;'> " + Dados[i].Funcao + " </td>" +
                                "    <td style='font-size: 0.9em;'> " + Dados[i].Permissao + " </td>" +
                                "    <td class='center' style='text-align: center; font-size: 0.9em;'>" +
                                "       <a haref='#' onclick='remove_permissao_perfil(this)'><i class='fa fa-trash' aria-hidden='true'></i></a>" +
                                "    </td>" +
                                "</tr>"
                                );
                    }
                }
            }
        });
    };
});
$("#AcessoTotal").click(function () {
    var URL = 'Funcoes.php?Function=52&IdentificadorPerfil='
            + $("#IdentificadorPerfil").val() + "&Perfil="
            + $("#DescConfPerfil").val();
    $.get(URL, function (resposta) {
        var Resp = JSON.parse(resposta);
        if (Resp.JSON != "OK") {
            $("#descError").html("<b>" + Resp.JSON + "</b>");
            $("#Erro").show();
        } else {
           location.reload();
        }
    });
});
$("#RestringirAcesso").click(function () {
    var URL = 'Funcoes.php?Function=53&IdentificadorPerfil='
            + $("#IdentificadorPerfil").val() + "&Perfil="
            + $("#DescConfPerfil").val();
    $.get(URL, function (resposta) {
        var Resp = JSON.parse(resposta);
        if (Resp.JSON != "OK") {
            $("#descError").html("<b>" + Resp.JSON + "</b>");
            $("#Erro").show();
        } else {
            location.reload();
        }
    });
});
$(function ($) {
    remove_permissao_perfil = function (item) {
        var tr = $(item).closest('tr');
        tr.fadeOut(400, function () {
            tr.remove();
            var URL = "Funcoes.php?Function=54&ID_Permissao=" + (this.id) + "&Id_Perfil="
                    + $("#IdentificadorPerfil").val();
            $.get(URL, function (resposta) {
                var Resp = JSON.parse(resposta);
                if (Resp.JSON != "OK") {
                    $("#descError").html("<b>" + Resp.JSON + "</b>");
                    $("#Erro").show();
                }
            });

        });
        return false;
    };
});
$("#NovoPeffil").click(function () {
    $("#PerfisCadastrados").hide();
    $("#FormCadPerfil").show();
});
$("#pageAnt").click(function () {
    $("#PerfisCadastrados").show();
    $("#FormCadPerfil").hide();
});
$("#btSalvarPerfil").click(function () {
    var URL = 'Funcoes.php?Function=49&descPerfil='
            + $("#descPerfil").val();
    if ($("#descPerfil").val() != "") {
        $.get(URL, function (resposta) {
            var Resp = JSON.parse(resposta);
            if (Resp.JSON != "OK") {
                $("#TextError").html("<b>ATENÇÃO:</b>Não foi possível salvar o perfil segue abaixo uma breve descrição do erro. Certifique de ter preenchido o formulário corretamente. Se o erro persistir entre em contato com o webmaster.<br><br>");
                $("#descError").html("<b>" + Resp.JSON + "</b>");
                $("#Erro").show();
            } else {
                location.reload();
            }
        });
    }
});
$(function ($) {
    remove = function (item) {
        var tr = $(item).closest('tr');
        tr.fadeOut(400, function () {
            tr.remove();
            var URL = "Funcoes.php?Function=50&ID_Perfil=" + (this.id);
            $.get(URL, function (resposta) {
                var Resp = JSON.parse(resposta);
                if (Resp.JSON != "OK") {
                    $("#descError").html("<b>" + Resp.JSON + "</b>");
                    $("#Erro").show();
                }
            });
        });
        return false;
    };
});
$('#CloseModal').click(function () {
    $("#Erro").hide();
});
$('#BT_closeModal').click(function () {
    $("#Erro").hide();
});
$("#btAddPer").click(function () {
    var URL = 'Funcoes.php?Function=55&ID_Perfil='
            + $("#IdentificadorPerfil").val() + "&ID_Permissao="
            + $("#ID_NewPermissao").val();
    $.get(URL, function (resposta) {
        var Resp = JSON.parse(resposta);
        if (Resp.JSON != "OK") {
            $("#TextError").html("<b>ATENÇÃO:</b>Não foi possível adicionar a permissão ao perfil segue abaixo uma breve descrição do erro. Certifique de ter preenchido o formulário corretamente. Se o erro persistir entre em contato com o webmaster.<br><br>");
            $("#descError").html("<b>" + Resp.JSON + "</b>");
            $("#Erro").show();
        } else {
            location.reload();
        }
    });
});
$('#pageAnt2').click(function () {
    history.back();
});

